using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Proteus.Domain.Foundation;
using System.Runtime.Serialization;

namespace MyProject.Domain
{
    public abstract class DomainBase<TEntity> : IdentityPersistenceBase<TEntity, int> where TEntity : class
    {
        public virtual int Id
        {
            get { return base._persistenceId; }
        }
    }
}
