using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NUnit.Framework;
using MyProject.Domain;

namespace MyProject.CustomersAndOrdersTests
{
    [TestFixture]
    public class When_Item_Has_Zero_Cost
    {
        [Test]
        [ExpectedException("MyProject.Domain.CannotAddItemException")]
        public void Cannot_Add_To_Order()
        {
            var order = new Order();
            var item = new OrderItem() { Cost = 0 };

            order.AddItem(item);
        }
    }
}
