using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MyProject.Domain;

namespace MyProject.Services
{
    public class OrderApprover : IOrderApprovalService
    {
        public bool IsValidToShip(Customer customer, Order order)
        {
            return order.SalesTax != 0 && customer.PostalCode != string.Empty && order.Items.Count() > 0;
        }
    }
}
